Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/FillStyleCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/FillStyleCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/FillStyleCommand.cs	(revision 4068)
@@ -1,95 +1,83 @@
-using System;
 using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Fill style command
-    /// </summary>
-    class FillStyleCommand : Command
-    {
-        #region Fields
-        CollectionBase<IDiagramEntity> bundle;
-        IController controller;
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Fill style command
+  /// </summary>
+  class FillStyleCommand : Command {
+    #region Fields
+    CollectionBase<IDiagramEntity> bundle;
+    IController controller;
 
-        IPaintStyle newStyle;
-        Dictionary<string, IPaintStyle> previousStyles = new Dictionary<string, IPaintStyle>();           
-        #endregion
+    IPaintStyle newStyle;
+    Dictionary<string, IPaintStyle> previousStyles = new Dictionary<string, IPaintStyle>();
+    #endregion
 
-        #region Properties
-       
-        
+    #region Properties
 
 
-        /// <summary>
-        /// Gets the entities.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle; }
-        }
-
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:FillStyleCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="bundle">The bundle.</param>
-        /// <param name="paintStyle">The paint style.</param>
-        public FillStyleCommand(IController controller, CollectionBase<IDiagramEntity> bundle, IPaintStyle paintStyle)
-            : base(controller)
-        {
-            this.Text = "Fill style";
-            this.controller = controller;
-            this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
-            this.newStyle = paintStyle;
-        }
-        #endregion
-
-        #region Methods
-
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            if (bundle == null || bundle.Count == 0)
-                return;
-            previousStyles.Clear();
-            foreach (IDiagramEntity entity in bundle)
-            {
-                if (entity is IShape)
-                {
-                    previousStyles.Add(entity.Uid.ToString(), entity.PaintStyle);
-                    (entity as IShape).PaintStyle = newStyle;
-                }                
-            }
-        }
-
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            if (bundle == null || bundle.Count == 0)
-                return;
-            foreach (IDiagramEntity entity in bundle)
-            {
-                if (entity is IShape)
-                    (entity as IShape).PaintStyle = previousStyles[entity.Uid.ToString()];
-            }
-
-           
 
 
+    /// <summary>
+    /// Gets the entities.
+    /// </summary>
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle; }
+    }
+
+    #endregion
+
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:FillStyleCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="bundle">The bundle.</param>
+    /// <param name="paintStyle">The paint style.</param>
+    public FillStyleCommand(IController controller, CollectionBase<IDiagramEntity> bundle, IPaintStyle paintStyle)
+      : base(controller) {
+      this.Text = "Fill style";
+      this.controller = controller;
+      this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
+      this.newStyle = paintStyle;
+    }
+    #endregion
+
+    #region Methods
+
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      if (bundle == null || bundle.Count == 0)
+        return;
+      previousStyles.Clear();
+      foreach (IDiagramEntity entity in bundle) {
+        if (entity is IShape) {
+          previousStyles.Add(entity.Uid.ToString(), entity.PaintStyle);
+          (entity as IShape).PaintStyle = newStyle;
         }
+      }
+    }
+
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      if (bundle == null || bundle.Count == 0)
+        return;
+      foreach (IDiagramEntity entity in bundle) {
+        if (entity is IShape)
+          (entity as IShape).PaintStyle = previousStyles[entity.Uid.ToString()];
+      }
 
 
-        #endregion
+
+
     }
 
+
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/GroupCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/GroupCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/GroupCommand.cs	(revision 4068)
@@ -1,133 +1,119 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Group command
+  /// </summary>
+  class GroupCommand : Command {
+    #region Fields
+    IBundle bundle;
+    IController controller;
+    IGroup mGroup;
+    #endregion
+
+    #region Properties
     /// <summary>
-    /// Group command
+    /// Gets the newly created group after <see cref="Redo"/> was called
     /// </summary>
-    class GroupCommand : Command
-    {
-        #region Fields
-        IBundle bundle;
-        IController controller;
-        IGroup mGroup;
-        #endregion
+    public IGroup Group {
+      get { return mGroup; }
+    }
 
-        #region Properties
-        /// <summary>
-        /// Gets the newly created group after <see cref="Redo"/> was called
-        /// </summary>
-        public IGroup Group
-        {
-            get { return mGroup; }
-        }
+    /// <summary>
+    /// Gets the entities.
+    /// </summary>
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle.Entities; }
+    }
 
-        /// <summary>
-        /// Gets the entities.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle.Entities; }
-        }
+    #endregion
 
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:GroupCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="bundle">The bundle.</param>
+    public GroupCommand(IController controller, IBundle bundle)
+      : base(controller) {
+      this.Text = "Group";
+      this.controller = controller;
+      this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
+    }
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:GroupCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="bundle">The bundle.</param>
-        public GroupCommand(IController controller, IBundle bundle)
-            : base(controller)
-        {
-            this.Text = "Group";
-            this.controller = controller;
-            this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
-        }
-        #endregion
+    #region Methods
 
-        #region Methods
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      //create a new group; use the standard GroupShape or the CollapsibleGroupShape for a painted group with collapse/expand features.
+      //GroupShape group = new GroupShape(this.Controller.Model);
+      //CollapsibleGroupShape group = new CollapsibleGroupShape(this.controller.Model);
+      GroupShape group = new GroupShape(this.controller.Model);
+      //asign the entities to the group
+      group.Entities.Clear();
 
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            //create a new group; use the standard GroupShape or the CollapsibleGroupShape for a painted group with collapse/expand features.
-            //GroupShape group = new GroupShape(this.Controller.Model);
-            //CollapsibleGroupShape group = new CollapsibleGroupShape(this.controller.Model);
-            GroupShape group = new GroupShape(this.controller.Model);
-            //asign the entities to the group
-            group.Entities.Clear();
-            
-            foreach (IDiagramEntity entity in bundle.Entities)
-            {
-                //this will be recursive if an entity is itself an IGroup
-                entity.Group = group;
-                group.Entities.Add(entity);
-            }
-            //add the new group to the layer
-            this.Controller.Model.AddEntity(group);
+      foreach (IDiagramEntity entity in bundle.Entities) {
+        //this will be recursive if an entity is itself an IGroup
+        entity.Group = group;
+        group.Entities.Add(entity);
+      }
+      //add the new group to the layer
+      this.Controller.Model.AddEntity(group);
 
-            mGroup = group;
+      mGroup = group;
 
-            //select the newly created group
-            CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
-            col.Add(mGroup);
-            this.Controller.Model.Selection.SelectedItems = col;
-            mGroup.Invalidate();
-        }
+      //select the newly created group
+      CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
+      col.Add(mGroup);
+      this.Controller.Model.Selection.SelectedItems = col;
+      mGroup.Invalidate();
+    }
 
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            if (mGroup.CanUnGroup == false)
-            {
-                return;
-            }
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      if (mGroup.CanUnGroup == false) {
+        return;
+      }
 
-            //remove the group from the layer
-            this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(mGroup);
+      //remove the group from the layer
+      this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(mGroup);
 
-            // keep track of the entities removed.
-            CollectionBase<IDiagramEntity> removedItems = 
-                new CollectionBase<IDiagramEntity>();
+      // keep track of the entities removed.
+      CollectionBase<IDiagramEntity> removedItems =
+          new CollectionBase<IDiagramEntity>();
 
-            int numberOfItems = mGroup.Entities.Count;
-          //detach the entities from the group
-            for (int i = 0; i < numberOfItems; numberOfItems--)
-            {
-                IDiagramEntity entity = mGroup.Entities[0];
-                //this will be recursive if an entity is itself an IGroup
-                entity.Group = null;
-                mGroup.Entities.Remove(entity);
-                Controller.Model.AddEntity(entity);
-                entity.Invalidate();
-                removedItems.Add(entity);
-            }
-            //change the visuals such that the entities in the group are selected
-            this.Controller.Model.Selection.SelectedItems = removedItems;
-            //mGroup.Entities.Clear();
+      int numberOfItems = mGroup.Entities.Count;
+      //detach the entities from the group
+      for (int i = 0; i < numberOfItems; numberOfItems--) {
+        IDiagramEntity entity = mGroup.Entities[0];
+        //this will be recursive if an entity is itself an IGroup
+        entity.Group = null;
+        mGroup.Entities.Remove(entity);
+        Controller.Model.AddEntity(entity);
+        entity.Invalidate();
+        removedItems.Add(entity);
+      }
+      //change the visuals such that the entities in the group are selected
+      this.Controller.Model.Selection.SelectedItems = removedItems;
+      //mGroup.Entities.Clear();
 
-            //mGroup.Invalidate();
+      //mGroup.Invalidate();
 
-            mGroup = null;
+      mGroup = null;
 
-            //note that the entities have never been disconnected from the layer
-            //so they don't have to be re-attached to the anything.
-            //The insertion of the Group simply got pushed in the scene-graph.
+      //note that the entities have never been disconnected from the layer
+      //so they don't have to be re-attached to the anything.
+      //The insertion of the Group simply got pushed in the scene-graph.
 
 
-        }
+    }
 
 
-        #endregion
-    }
+    #endregion
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/MoveCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/MoveCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/MoveCommand.cs	(revision 4068)
@@ -1,85 +1,76 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand implementation of the move action
+  /// </summary>
+  class MoveCommand : Command {
+    #region Fields
+    IBundle bundle;
+    IController controller;
+    Point delta;
+    #endregion
+
+    #region Properties
+
     /// <summary>
-    /// ICommand implementation of the move action
+    /// Gets the shape.
     /// </summary>
-    class MoveCommand : Command
-    {
-        #region Fields
-        IBundle bundle;
-        IController controller;
-        Point delta;
-        #endregion
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle.Entities; }
+    }
 
-        #region Properties
+    #endregion
 
-        /// <summary>
-        /// Gets the shape.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle.Entities; }
-        }
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:MoveCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="bundle">The bundle.</param>
+    /// <param name="delta">The delta.</param>
+    public MoveCommand(IController controller, IBundle bundle, Point delta)
+      : base(controller) {
+      this.Text = "Move " + bundle.EntityName;
+      this.controller = controller;
+      this.delta = delta;
+      this.bundle = bundle;
+    }
+    #endregion
 
-        #endregion
+    #region Methods
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:MoveCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="bundle">The bundle.</param>
-        /// <param name="delta">The delta.</param>
-        public MoveCommand(IController controller, IBundle bundle, Point delta)
-            : base(controller)
-        {
-            this.Text = "Move " + bundle.EntityName;
-            this.controller = controller;
-            this.delta = delta;
-            this.bundle = bundle;
-        }
-        #endregion
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      bundle.MoveBy(delta);
+      //invalidate the space before the move
+      Rectangle rec = bundle.Rectangle;
+      rec.Offset(-delta.X, -delta.Y);
+      rec.Inflate(20, 20);
+      bundle.Invalidate(rec);//same as an invalidate on the controller level
+      //invalidate the current neighborhood of the bundle
+      bundle.Invalidate();
 
-        #region Methods
+    }
 
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            bundle.MoveBy(delta);
-            //invalidate the space before the move
-            Rectangle rec = bundle.Rectangle;
-            rec.Offset(-delta.X, -delta.Y);
-            rec.Inflate(20, 20);
-            bundle.Invalidate(rec);//same as an invalidate on the controller level
-            //invalidate the current neighborhood of the bundle
-            bundle.Invalidate();
-
-        }
-
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            bundle.MoveBy(new Point(-delta.X, -delta.Y)); //invert the vector
-            //invalidate the space before the move
-            Rectangle rec = bundle.Rectangle;
-            rec.Offset(delta.X, delta.Y);
-            rec.Inflate(20, 20);
-            bundle.Invalidate(rec);//same as an invalidate on the controller level
-            //invalidate the current neighborhood of the bundle
-            bundle.Invalidate();
-        }
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      bundle.MoveBy(new Point(-delta.X, -delta.Y)); //invert the vector
+      //invalidate the space before the move
+      Rectangle rec = bundle.Rectangle;
+      rec.Offset(delta.X, delta.Y);
+      rec.Inflate(20, 20);
+      bundle.Invalidate(rec);//same as an invalidate on the controller level
+      //invalidate the current neighborhood of the bundle
+      bundle.Invalidate();
+    }
 
 
-        #endregion
-    }
+    #endregion
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/PenStyleCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/PenStyleCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/PenStyleCommand.cs	(revision 4068)
@@ -1,95 +1,83 @@
-using System;
 using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Pen style command
-    /// </summary>
-    class PenStyleCommand : Command
-    {
-        #region Fields
-        CollectionBase<IDiagramEntity> bundle;
-        IController controller;
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Pen style command
+  /// </summary>
+  class PenStyleCommand : Command {
+    #region Fields
+    CollectionBase<IDiagramEntity> bundle;
+    IController controller;
 
-        IPenStyle newStyle;
-        Dictionary<string, IPenStyle> previousStyles = new Dictionary<string, IPenStyle>();           
-        #endregion
+    IPenStyle newStyle;
+    Dictionary<string, IPenStyle> previousStyles = new Dictionary<string, IPenStyle>();
+    #endregion
 
-        #region Properties
-       
-        
+    #region Properties
 
 
-        /// <summary>
-        /// Gets the entities.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle; }
-        }
-
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:PenStyleCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="bundle">The bundle.</param>
-        /// <param name="penStyle">The pen style.</param>
-        public PenStyleCommand(IController controller, CollectionBase<IDiagramEntity> bundle, IPenStyle penStyle)
-            : base(controller)
-        {
-            this.Text = "Fill style";
-            this.controller = controller;
-            this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
-            this.newStyle = penStyle;
-        }
-        #endregion
-
-        #region Methods
-
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            if (bundle == null || bundle.Count == 0)
-                return;
-            previousStyles.Clear();
-            foreach (IDiagramEntity entity in bundle)
-            {
-                if (entity is IConnection)
-                {
-                    previousStyles.Add(entity.Uid.ToString(), entity.PenStyle);
-                    (entity as IConnection).PenStyle  = newStyle;
-                }
-            }
-        }
-
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            if (bundle == null || bundle.Count == 0)
-                return;
-            foreach (IDiagramEntity entity in bundle)
-            {
-                if (entity is IConnection)
-                    (entity as IConnection).PenStyle = previousStyles[entity.Uid.ToString()];
-            }
-
-           
 
 
+    /// <summary>
+    /// Gets the entities.
+    /// </summary>
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle; }
+    }
+
+    #endregion
+
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:PenStyleCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="bundle">The bundle.</param>
+    /// <param name="penStyle">The pen style.</param>
+    public PenStyleCommand(IController controller, CollectionBase<IDiagramEntity> bundle, IPenStyle penStyle)
+      : base(controller) {
+      this.Text = "Fill style";
+      this.controller = controller;
+      this.bundle = bundle;//the bundle should contain only IShape and IConnection entities!
+      this.newStyle = penStyle;
+    }
+    #endregion
+
+    #region Methods
+
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      if (bundle == null || bundle.Count == 0)
+        return;
+      previousStyles.Clear();
+      foreach (IDiagramEntity entity in bundle) {
+        if (entity is IConnection) {
+          previousStyles.Add(entity.Uid.ToString(), entity.PenStyle);
+          (entity as IConnection).PenStyle = newStyle;
         }
+      }
+    }
+
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      if (bundle == null || bundle.Count == 0)
+        return;
+      foreach (IDiagramEntity entity in bundle) {
+        if (entity is IConnection)
+          (entity as IConnection).PenStyle = previousStyles[entity.Uid.ToString()];
+      }
 
 
-        #endregion
+
+
     }
 
+
+    #endregion
+  }
+
 }
